<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>ユーザ新規登録</title>
<link rel="stylesheet"
 href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
 integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<!-- header -->
    <header>
       <nav class="navbar navbar-light sticky-top bg-light flex-md-nowrap p-0">
      <a class="navbar-brand col-sm-3 col-md-2 mr-0">ユーザ管理システム</a>
      <small id="loginName" class="form-text text-muted">[[${loginUser}]]</small>
      <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
          <form class="form-signout" action="/Logout/" method ="get">
          <button type="submit" class="btn btn-demger">ログアウト</button>
          </form>
        </li>
      </ul>
    </nav>
    </header>

	<form th:object="${Createform}" class="form-useradd" method="post" action="/UserCreate/Add" >



  <div class="form-group">
    <label for="InputLoginId">ログインID</label>
    <input type="text" th:field="*{loginId}" class="form-control"
    name="loginId" id="LoginId" aria-describedby="LoginIdHelp" placeholder="ログインID">
    <!-- エラーメッセージ(エラーがある場合のみ表示) -->
    <span th:if="${#fields.hasErrors('*{loginId}')}" th:errors="*{loginId}"></span>
    <p  th:if = "${errmsg}!=null"  th:text = "${errmsg}"  style = "赤色;"> </p>

  </div>
  <div class="form-group">
    <label for="InputPassword1">パスワード</label>
    <input type="password" th:field="*{password}"
    class="form-control" name="password" id="Password" placeholder="パスワード">
    <span th:if="${#fields.hasErrors('*{password}')}" th:errors="*{password}"></span>
  </div>
  <div class="form-group">
    <label for="InputPasswordcheck">パスワード確認</label>
    <input type="password" class="form-control" th:field="*{passwordChecker}"
    name="passwordChecker" id="InputPasswordcheck" placeholder="パスワード">
    <span th:if="${#fields.hasErrors('*{passwordChecker}')}" th:errors="*{passwordChecker}"></span>
    <small id="passwordHelp" class="form-text text-muted">パスワードをコピぺしないでください。</small>
  </div>

  <!-- パスワードチェックのエラーメッセージを表示する。 -->
	<p th:if="${#fields.hasErrors('*{passwordValid}')}" th:errors="*{passwordValid}" style="color:red;"></p>


  <div class="form-group">
    <label for="InputUserName">ユーザー名</label>
    <input type="text" th:field="*{name}" class="form-control" name="name" id="Username" placeholder="ユーザー名">
    <p th:if="${#fields.hasErrors('*{name}')}" th:errors="*{name}" style="color:red;"></p>
  </div>
  <div class="form-group">
    <label for="InputBirthDay">生年月日</label>
    <input type="date" class="form-control"th:field="*{birthDate}"
    name="birthDate" id="InputBirthDay" placeholder="生年月日(記入例:2000-01-01)">
    <p th:if="${#fields.hasErrors('birthDate')}" th:errors="*{birthDate}" style="color:red;"></p>
  </div>

  <button type="submit" value="検索" class="btn btn-primary center-block form-submit">登録</button>
</form>
<div class="col-xs-4">
        <form class="form-return" action="/UserList/" method ="get">
        	<button type="submit">戻る</button>
        </form>
      </div>

</body>
</html>